Makefile: ../../../deco-0.8//Makefile.head
# Standard Makefile header for Shag/OS

# NOTE:	** DO NOT MAKE IMPORTANT CHANGES IN THIS FILE **
#	All Makefiles containing this header are dynamically generated
#	Makefiles, which will be recreated every time the build directory
#	is configured, or whenever the source 'Make' files, or 
#	'config.var' are changed.
#	Therefore, any changes made here should be for temporary
#	testing purposes only, and in most cases, it is better to
#	make temporary changes in 'config.var', and then run
#	'make config' again to fully incorporate those changes.
#	Also, individual '.mak' files can be edited for temporary 
#	overrides for individual targets.
 
export

REQUIRES=
XINCPATH=
XINCFILES=
INCFILES=
SRCFILES=
LINKFILES=
XLINKFILES=
COPYFILES=
TARGETS=
SUBDIRS=
SFILES=
STFILES=
XFILES=
LXFILES=
RXFILES=
DXFILES=
LIBFILES=

PRECONFIGFILES=
CONFIGFILES=

BINDIR=$(BASE)/bin
LIBDIR=$(BASE)/lib
FCONFIG=$(BINDIR)/fconfig
DCONFIG=$(SRC)/bin/dconfig

DECO=$(BINDIR)/deco
GENOFS=$(BINDIR)/cgenofs
EXTRACT=$(BINDIR)/extract

Makefile: config.var
Variables = Variables Extensions 	Makedepend Cpp Command Rule 	Includes Includes_Wanted Includes_Needed Includes_Banned 	Flags Flags_Wanted Flags_Needed Flags_Banned 	CPP INCLUDES MAKEFLAGS 	AR_RC RANLIB NECHO AWK 	CONF_SYS CONF_HOST CONF_USER CONF_DATE CONF_ARCH 	SRC SPATH BASE SHELL
Extensions = c cc S h hh o do gcc gxx gas fpic deco
Makedepend = g++ -M -MG $$(Includes) -x c++ $$<
Makedepend_gcc = gcc -M -MG $$(Includes) $$<
Makedepend_gas = g++ -DASM -M -MG $$(Includes) -x c++ $$<
Cpp = g++ -E -x c++ $$(Includes) $$<
Cpp_gcc = gcc -E $$(Includes) $$<
Cpp_gas = g++ -E -x c++ -DASM $$(Includes) $$<
Command_gcc = gcc -c $$(Flags) $$(Includes) $$< -o $$@
Command_gxx = g++ -c $$(Flags) $$(Includes) $$< -o $$@
Command_gas = g++ -DASM -c $$(Includes) $$< -o $$@
Command_deco = g++ -E $$(Includes) -D__dynamic__ -D__dynamic_interface__ -x c++ $$< 	| $$(BASE)/$$(DECO) > $$@
Rule_c_o = gcc c
Rule_c_do = fpic gcc c
Rule_cc_o = gxx cc
Rule_cc_do = fpic gxx cc
Rule_S_o = gas S
Rule_S_do = fpic gas S
Includes_Wanted = -I$$BASE/include -idirafter $$BASE/include/posix -nostdinc
Includes_Wanted_cc = -I$$BASE/include/c++ -nostdinc++
Includes_Wanted_S = -nostdinc++
Flags_Wanted_c = -static -m486 -O6 -msoft-float 		-malign-loops=0 -malign-jumps=0 -malign-functions=0
Flags_Wanted_cc = -static -m486 -O6 -msoft-float 		-malign-loops=0 -malign-jumps=0 -malign-functions=0
Flags_Wanted_gcc = -Wall -Wpointer-arith -Wstrict-prototypes 	-Wmissing-prototypes -fforce-mem -fforce-addr 	-fomit-frame-pointer -finline-functions 	-freg-struct-return -fshort-enums 	-save-temps -fverbose-asm 	 -static
Flags_Wanted_gxx = -Wall -Wpointer-arith -Wstrict-prototypes 	-Wmissing-prototypes -fforce-mem -fforce-addr 	-fomit-frame-pointer -finline-functions 	-freg-struct-return -fshort-enums 	-save-temps -fverbose-asm 	 -static
Flags_Needed_fpic = -fPIC
CPP = g++ -E -x c++
INCLUDES = 
MAKEFLAGS = --no-print-directory -r
AR_RC = ar rc
RANLIB = ranlib
NECHO = echo -n
AWK = awk
CONF_SYS = test
CONF_ARCH = isa_bus pc i486sx i486 i386dx i386 ix86 test . gen
SRC = ../../../deco-0.8/
SPATH = /util/deco/
BASE = ../../.
SHELL = /bin/sh -e
Makefile: Make-m-test
# DECO regression tests

CTESTS = t1.c t2.c ncworms.c
CCTESTS = t1.cc t2.cc t3.cc t4.cc t5.cc t6.cc t7.cc t8.cc t9.cc t10.cc t11.cc
DHTESTS = td1.dh
DCTESTS = td1.dc tty.dc

CRESULTS = ${CTESTS:.c=.c.out}
CCRESULTS = ${CCTESTS:.cc=.cc.out}
DHRESULTS = ${DHTESTS:.dh=.dh.out}
DCRESULTS = ${DCTESTS:.dc=.dc.out}

LINKFILES += ${CTESTS} ${CCTESTS} ${DHTESTS} ${DCTESTS} \
	     ${CRESULTS} ${CCRESULTS} ${DHRESULTS} ${DCRESULTS} \
		t_circle.dh t_ellipse.dh D_Circle.dh D_Ellipse.dh otest1.cc

COMMANDS +=	ctests pass_ctests \
		cctests pass_cctests \
		dhtests pass_dhtests \
		dctests pass_dctests \
		tests passall


ctests: ${CTESTS} ${CRESULTS} deco
	@for i in ${CTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x c -"; \
	done

pass_ctests: ${CTESTS} ${CRESULTS} deco
	@for i in ${CTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x c -" update; \
	done

cctests: ${CCTESTS} ${CCRESULTS} deco
	@for i in ${CCTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x c++ -"; \
	done

pass_cctests: ${CCTESTS} ${CCRESULTS} deco
	@for i in ${CCTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x c++ -" update; \
	done

dhtests: ${DHTESTS} ${DHRESULTS} deco
	@for i in ${DHTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x dc++hdr -"; \
	done

pass_dhtests: ${DHTESTS} ${DHRESULTS} deco
	@for i in ${DHTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x dc++hdr -" update; \
	done

dctests: ${DCTESTS} ${DCRESULTS} deco
	@for i in ${DCTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x dc++ -"; \
	done

pass_dctests: ${DCTESTS} ${DCRESULTS} deco
	@for i in ${DCTESTS}; do \
		$(BINDIR)/runtest pass $$i "./deco -x dc++ -" update; \
	done

tests: ctests cctests dhtests dctests
	@echo All tests passed

# for updating version numbers, minor formatting, etc:
passall: pass_ctests pass_cctests pass_dhtests pass_dctests


# Manually invoke a particular test to get the results:
%.c.r: %.c deco
	$(BINDIR)/runtest /dev/null $< "./deco -x c -"

%.cc.r: %.cc deco
	$(BINDIR)/runtest /dev/null $< "./deco -x c++ -"

%.c.pass: %.c deco
	$(BINDIR)/runtest pass $< "./deco -x c -" update

%.cc.pass: %.cc deco
	$(BINDIR)/runtest pass $< "./deco -x c++ -" update


otest1: otest1.cc t_circle.dh t_ellipse.dh D_Circle.dh D_Ellipse.dh
	./deco t_circle.dh > t_circle.dh.h
	./deco t_ellipse.dh > t_ellipse.dh.h
	# ./deco D_Circle.dh > D_Circle.dh.h
	# ./deco D_Ellipse.dh > D_Ellipse.dh.h
	g++ $(Includes_Wanted_cc) $(Includes_Wanted) -c otest1.cc
	g++ -o otest1 otest1.o



Makefile: Make-mi
# DECO

# REQUIRES += $(BASE)/lib/libparse.a

XINCPATH = c++
XINCFILES += CObj.hh dcobj.hh
INCFILES += ccint.h ccout.h printaction.h CObj.hh
SRCFILES += ccint.cc ccout.cc deco.cc CObj.cc
LXFILES += deco

deco_OBJS = deco.o ccout.o ccint.o CObj.o
deco_LIBS = -L$(BASE)/lib -lcparse -lparse -lsymtab
deco: $(deco_OBJS)

otest_OBJS = otest.o
otest_LIBS = -L$(BASE)/lib -lcparse -lparse

deco.o: decoconf.h

decoconf.h:
	echo "#define DECOCPP \"gcc -E -x c++\"" > $@
	echo "#define DECODEFINES \"-D__asm__=asm -D__const=const " \
		"-D__signed__=signed -D__inline__=inline\"" >> $@
	echo "#define DECOINCLUDES \"-I"`$(BINDIR)/abspath $(BASE)/include` \
		" -I"`$(BINDIR)/abspath $(BASE)/include/c++`\" >> $@
	echo "#define DECOCXX \"g++\"" >> $@



Makefile: ../../../deco-0.8//Makefile.tail
.SUFFIXES: .c .cc .s .S .h .hh .o .x 

# Disable default rules:

%.o: %.cc
%.o: %.c
%.o: %.S
%.o: %.s


#############################################################################
# Makefile building:
#############################################################################

Makefile:
	@set -e; echo "Rebuilding $(BASE)$(SPATH)/Makefile..."; \
	echo "# Rebuilt Makefile:" > Makefile; \
	for i in $^; do \
		if [ $$i = "broken_config" ] ; then \
			$(MAKE) config; \
		else \
			echo "Makefile: $$i" >> Makefile; \
			cat $$i >> Makefile; \
		fi \
	done 


.PHONY: broken_config
broken_config:
	@echo "Must fix incomplete configuration first:"


#############################################################################
# Configuration:
#############################################################################

.PHONY: everything
everything: preconfigall configall all

.PHONY: config
config:
	@set -e; $(DCONFIG) "$(CONF_ARCH)" $(SRC) $(SPATH) $(BASE); \
	$(MAKE) configfiles

#$(FCONFIG):
#	@set -e; $(MAKE) $(BASE)/fconfig/all

.PHONY: preconfigfiles
preconfigfiles: $(FCONFIG) $(PRECONFIGFILES)
	@set -e; for req in $$REQUIRES; do \
		if [ ! -r $req ] ; then \
			echo $$req; \
			if [ `dirname $$req` = . \
				 -o `dirname $$req` = / ] ; then \
				echo "missing requirement: $$req"; \
				exit 1; \
			else \
				$(MAKE) -r $$req; \
			fi \
		fi; \
	done

	@set -e; TINCFILES="$$XINCFILES $$INCFILES"; \
	 if [ "$$TINCFILES" != " " ]; then \
		if [ "$(XINCFILES)" != "" ]; then \
			FSPATH=..; \
			if [ "$(XINCPATH)" = "." ] ; then \
				FINCPATH=$(BASE)/include; \
			else \
				FINCPATH=$(BASE)/include/$(XINCPATH); \
				XX=$(XINCPATH); \
				while [ $$XX != '.' ] ; do \
					FSPATH=$$FSPATH/..; \
					XX=`dirname $$XX`; \
				done \
			fi; \
			FSPATH=$$FSPATH$(SPATH); \
			echo "Installing include files in $$FINCPATH:"; \
			echo $(XINCFILES); \
			mkdir -p $$FINCPATH; \
			set +e; \
			for i in $$XINCFILES; do \
				xincfile=$$FINCPATH/`basename $$i .hh`; \
				echo "#include \"$$FSPATH`basename $$i`\"" \
				      > $$xincfile.new; \
				(cmp -s $$xincfile $$xincfile.new ); \
				if [ $$? != 0 ] ; then \
					mv $$xincfile.new $$xincfile; \
				else \
					rm -f $$xincfile.new; \
				fi; \
			done; \
			set -e; \
		fi; \
		FINCFILES=;\
		for i in $$TINCFILES; do \
			if [ `dirname $$i` = 'make' ]; then \
				if [ "$$FINCFILES" != "" ] ; then \
					$(FCONFIG) "$(CONF_ARCH)" \
						$(SRC) $(SPATH) $$FINCFILES; \
					FINCFILES=;\
				fi; \
				$(MAKE) `basename $$i`; \
			else \
				FINCFILES="$$FINCFILES $$i"; \
			fi \
		done; \
		if [ "$$FINCFILES" != "" ] ; then \
			$(FCONFIG) "$(CONF_ARCH)" \
				$(SRC) $(SPATH) $$FINCFILES; \
			FINCFILES=;\
		fi \
	fi; \
	for lib in $$LIBFILES; do \
		echo "Makefile: $$lib.mak" > $(LIBDIR)/$$lib.mak; \
		echo "$$lib:" >> $(LIBDIR)/$$lib.mak; \
		echo "	@set -e; cd "`$(BINDIR)/relpath . $(LIBDIR)` \
			"; \$$(MAKE) $$lib" >> $(LIBDIR)/$$lib.mak; \
		cat $(LIBDIR)/$$lib.mak >> $(LIBDIR)/Makefile; \
	done

.PHONY: configfiles
configfiles: $(FCONFIG) preconfigfiles $(CONFIGFILES)
	@set -e; rm -f *.mak.old; \
	for i in *.mak; do \
		if [ $$i != "*.mak" ] ; then \
			mv -f $$i $$i.old; \
		fi \
	done; \
	set +e; \
	$(FCONFIG) "$(CONF_ARCH)" $(SRC) $(SPATH) $(SRCFILES); \
	if [ $$? != 0 ] ; then \
		echo "*** error: fconfig failed (.$(SPATH))"; \
		echo "	(adding 'config' as make dependency)"; \
		echo "Makefile: broken_config" >> Makefile; \
		exit 1; \
	fi; \
	set -e; \
	for i in *.mak.old; do \
		if [ $$i != "*.mak.old" ] ; then \
			mkf=`basename $$i .old`; \
			echo `basename $$i .mak.old`: $$mkf > $$mkf; \
		fi \
	done; \
	for i in *.mak; do \
		if [ $$i != "*.mak" ] ; then \
			echo "Makefile: $$i" >> Makefile; \
			cat $$i >> Makefile; \
		fi \
	done; \
	#rm -f *.mak.old

.PHONY: reconfig
reconfig:
	$(BINDIR)/config $(CONF_SYS)

.PHONY: preconfigall
preconfigall:
	@set -e; $(DCONFIG) "$(CONF_ARCH)" $(SRC) $(SPATH) $(BASE); \
	$(MAKE) preconfigfiles; \
	$(MAKE) dopreconfigall 

.PHONY: configall
configall: 
	@set -e; $(DCONFIG) "$(CONF_ARCH)" $(SRC) $(SPATH) $(BASE); \
	$(MAKE) configfiles; \
	$(MAKE) doconfigall

.PHONY: dopreconfigall
dopreconfigall: 
	@set -e; for i in $$SUBDIRS; do \
		if [ ! -d $$i ] ; then \
			mkdir $$i; \
		fi; \
		( cd $$i; \
		  if [ ! -f Makefile ] ; then \
		  	../$(DCONFIG) "$(CONF_ARCH)" \
				../$(SRC) $(SPATH)$$i/ ../$(BASE); \
		  fi; \
		  $(MAKE) preconfigfiles dopreconfigall;  \
		) \
	done

.PHONY: doconfigall
doconfigall: 
	@set -e; for i in $$SUBDIRS; do \
		set -e; \
		if [ -d $$i ] ; then \
			( cd $$i; \
			  ../$(DCONFIG) "$(CONF_ARCH)" \
					../$(SRC) $(SPATH)$$i/ ../$(BASE); \
			  $(MAKE) configfiles doconfigall;  \
			) \
		fi \
	done 

.PHONY: tree
tree: 
	@set -e; for i in $$SUBDIRS; do \
		$(MAKE) $$i/tree; \
	done


.PHONY: testshell
testshell:
	@PATH=$$PATH:`$$BINDIR/abspath $$BINDIR`; sh


#############################################################################
# Executable creation:
#############################################################################

# files to be linked from source tree 
$(LINKFILES): # config.var
	@for i in $(CONF_ARCH); do \
		if [ $$i != . ] ; then \
			i=m-$$i; \
		fi; \
		if [ -f $(SRC)$(SPATH)$$i/$@ ] ; then \
			sh -xc "rm -f `basename $@`; \
				ln -s $(SRC)$(SPATH)$$i/$@ ."; \
			break; \
		fi; \
	done

# files to be linked in from other (external) directories
$(XLINKFILES): 
	@rm -f $@
	ln -s $< $@

# files to be copied from source tree
$(COPYFILES): config.var
	@for i in $(CONF_ARCH); do \
		if [ $$i != . ] ; then \
			i=m-$$i; \
		fi; \
		if [ -f $(SRC)$(SPATH)$$i/$@ ] ; then \
			sh -xc "cp -f $(SRC)$(SPATH)/$@ `basename $@`"; \
			break; \
		fi; \
	done

# This is all very Unix/GCC-specific right now, and needs to be moved
# into platform-specific sections...

# standalone files to be run from SOLO
# default start address can be overridden by flags
$(SFILES): config.var \
		$(BASE)/lib/srt0.o \
		$(BASE)/lib/crt_head.o $(BASE)/lib/crt_tail.o
	$(CXX) -nostdlib -nodefaultlibs -nostartfiles \
		-L$(BASE)/lib -Wl,-Ttext,10000000 $($@_FLAGS) \
		-o $@ $(BASE)/lib/srt0.o $(BASE)/lib/crt_head.o \
		$($@_OBJS) $($@_LIBS) -lgcc \
		$(BASE)/lib/crt_tail.o

# standalone test files to be run locally
# assumes that a corresponding $@.x rule exists
$(STFILES): config.var
	$(CXX) -nostdlib -nodefaultlibs -nostartfiles \
		-L$(BASE)/lib $($@.x_FLAGS) -r \
		-o $@.ro \
		$($@.x_OBJS) $($@.x_LIBS)
	$(CXX) $($@_FLAGS) -o $@ $@.ro $($@_OBJS) $($@_LIBS) \
		$(BASE)/lib/libemsolo.a

# executable files for Shag/OS
$(XFILES): config.var
	$(CXX) -nostdlib -nodefaultlibs -nostartfiles \
		-L$(BASE)/lib $($@_FLAGS) \
		-o $@ crt0.o crt_head.o \
		$($@_OBJS) $($@_LIBS) -lgcc \
		crt_tail.o

# relocatable executable modules (old-style dynamic)
$(RXFILES): config.var
	$(CXX) -nostdlib -nodefaultlibs -nostartfiles \
		-L$(BASE)/lib -r $($@_FLAGS) -o $@ $($@_OBJS) $($@_LIBS) -lgcc

# dynamic executable modules
# XXX - this needs major modification...
$(DXFILES): config.var
	$(CXX) -nostdlib -nodefaultlibs -nostartfiles \
		-shared -L$(BASE)/lib $($@_FLAGS) -Wl,-soname,$@ -o $@ \
		$(BASE)/lib/boot/crt_head.o \
		$($@_OBJS) $($@_LIBS) -lgcc \
		$(BASE)/lib/boot/crt_tail.o 

# local executable files for host development system
$(LXFILES): config.var
	$(CXX) $($@_FLAGS) -o $@ $($@_OBJS) $($@_LIBS) 

$(LIBFILES): config.var
	$(AR_RC) $($@_FLAGS) $@ $($@_OBJS)
	$(RANLIB) $@
	@set -e; rpath=`$(BINDIR)/relpath . $(LIBDIR)`; \
	if [ $$rpath != "." ] ; then \
		rm -f $(LIBDIR)/$@; \
		ln -s $$rpath""$@ $(LIBDIR)/$@; \
	fi

$(SUBDIRS): 
	@set -e; mkdir $@; cd $@; \
	../$(DCONFIG) "$(CONF_ARCH)" ../$(SRC) $(SPATH)$@/ ../$(BASE); \
	$(MAKE) configfiles

.PHONY: libs
libs:
	@set -e; $(MAKE) $(BASE)/lib/all


# declare these so the default rule doesn't pick them up:

.PHONY: all everything $(COMMANDS)

#############################################################################
# Default rule:  (used for configuration, generally)
#############################################################################

%::
	@set -e; dir=`dirname $@`; base=`basename $@`; \
	if [ $$dir = . ] ; then \
	    for ext in $$Extensions; do \
		if [ `basename $$base .$$ext` != $$base ] ; then \
			$(FCONFIG) "$(CONF_ARCH)" \
				$(SRC) $(SPATH) $$base; \
			mkf=$$base.mak; \
			mkf=`echo $$mkf`; \
			if [ ! -r $$mkf ] ; then \
				echo "*** error: $@: cannot create target"; \
				exit 1; \
			fi; \
			echo "Makefile: $$mkf" >> Makefile; \
			cat $$mkf >> Makefile; \
			$(MAKE) -r $$base; \
			exit 0; \
		fi; \
	    done; \
	fi; \
	while [ `dirname $$dir` != . ] ; do \
		base=`basename $$dir`/$$base; \
		dir=`dirname $$dir`; \
	done; \
	if [ "$$dir" = "." ] ; then \
		echo "** error: $@: no such target"; \
		exit 1; \
	fi; \
	if [ ! -d $$dir ] ; then \
		for i in $$SUBDIRS; do \
			if [ $$i = "$$dir" ]; then \
				mkdir $$dir; \
			fi; \
		done; \
		if [ ! -d $$dir ] ; then \
			echo "** error: $$dir: unknown subdirectory"; \
			exit 1; \
		fi; \
	fi; \
	cd $$dir; \
	if [ ! -f Makefile ] ; then \
		../$(DCONFIG) "$(CONF_ARCH)" ../$(SRC) \
			 $(SPATH)$$dir/ ../$(BASE); \
		$(MAKE) configfiles; \
	fi; \
	set +e; \
	if [ "$$dir/$$base/" = "$@" ] ; then \
		$(MAKE) -r "$$base/"; \
		if [ $$? != 0 ]; then \
			echo "*** error: $$base/ failed (.$(SPATH)$$dir)"; \
			exit 1; \
		fi; \
	else \
		$(MAKE) -r "$$base"; \
		if [ $$? != 0 ]; then \
			echo "*** error: $$base failed (.$(SPATH)$$dir)"; \
			exit 1; \
		fi; \
	fi 

 
#############################################################################
# Commands found outside this file:
#############################################################################


# Code-size info:
.PHONY: print_sizes print_semi_sizes

# Searching for bugs/etc:
.PHONY: find_old find_fixes find_bugs find_adds find_opts \
	find_cleans find_deps find_questions find_xxx

# Cleaning up:
.PHONY: tidy clean cleanconf cleantemp cleanconf_all cleantemp_all rmtree

# informative commands:
.PHONY: purpose showsrctree showtree showsrc_sizes showtree_sizes list

# Archival commands:
.PHONY: tar tarz ftarz

# Distribution-creation commands:
.PHONY: solo_dist solo_bindist sos_dist sos_bindist deco_dist deco_bindist

# Misc:
.PHONY: listsrc headers help


.DEFAULT:
	@PATH=$$PATH:`pwd`/$$BINDIR; \
	( $(BINDIR)/makecmds $@; ); \
	if [ $$? != 0 ] ; then \
		echo "*** error: '$@' failed"; \
	fi

Makefile: CObj.o.mak
CObj.o: CObj.o.mak
Makefile: ccint.o.mak
ccint.o: ccint.o.mak
Makefile: ccout.o.mak
ccout.o: ccout.o.mak
Makefile: deco.o.mak
deco.o: deco.o.mak
Makefile: deco.o.mak
deco.o: deco.cc config.h deco-mi.cc /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h ../../include/c++/defines \
 ../../include/c++/../../lib/stdc++/defines.hh \
 ../../include/c++/../../lib/stdc++/config.h \
 ../../include/c++/../../lib/stdc++/defines-mi.hh \
 ../../include/types.h ../../include/../lib/types.h \
 ../../include/../lib/config.h ../../include/../lib/types-m-pc.h \
 ../../include/inttypes.h ../../include/../lib/inttypes.h \
 ../../include/../lib/inttypes-m-vax-i386.h \
 ../../include/../lib/types-mi.h /usr/include/unistd.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/posix_opt.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i486-pc-linux-gnulibc1/2.8.1/include/stddef.h \
 /usr/include/confname.h /usr/include/g++/cstdlib \
 /usr/include/g++/std/cstdlib.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h \
 /usr/include/g++/cstdio /usr/include/g++/std/cstdio.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/include/g++/cstring /usr/include/g++/std/cstring.h \
 /usr/include/string.h /usr/include/fcntl.h /usr/include/linux/fcntl.h \
 /usr/include/asm/fcntl.h ../../include/posix/assert.h \
 ../../include/posix/../../lib/posix/assert.h \
 ../../include/posix/../../lib/posix/config.h \
 ../../include/posix/../../lib/posix/assert-mi.h \
 ../../include/posix/posix.h \
 ../../include/posix/../../lib/posix/posix.h \
 ../../include/posix/../../lib/posix/posix-mi.h ../../include/stdc.h \
 ../../include/../lib/stdc.h ../../include/../lib/stdc-mi.h \
 ../../include/c++/CObj ../../include/c++/../../util/deco/CObj.hh \
 ../../include/c++/../../util/deco/config.h \
 ../../include/c++/../../util/deco/CObj-mi.hh \
 ../../include/c++/vStrTab \
 ../../include/c++/../../lib/symtab/vStrTab.hh \
 ../../include/c++/../../lib/symtab/config.h \
 ../../include/c++/../../lib/symtab/vStrTab-mi.hh \
 ../../include/c++/vSymTab \
 ../../include/c++/../../lib/symtab/vSymTab.hh \
 ../../include/c++/../../lib/symtab/vSymTab-mi.hh \
 ../../include/c++/CLex ../../include/c++/../../lib/cparse/CLex.hh \
 ../../include/c++/../../lib/cparse/config.h \
 ../../include/c++/../../lib/cparse/CLex-mi.hh ../../include/c++/Lexer \
 ../../include/c++/../../lib/parse/Lexer.hh \
 ../../include/c++/../../lib/parse/config.h \
 ../../include/c++/../../lib/parse/Lexer-mi.hh \
 ../../include/c++/../../lib/cparse/CParse.enum.h \
 ../../include/c++/../../lib/cparse/CParse.enum-mg.h \
 ../../include/c++/StrTab ../../include/c++/../../lib/symtab/StrTab.hh \
 ../../include/c++/../../lib/symtab/StrTab-mi.hh \
 ../../include/c++/SymTab ../../include/c++/../../lib/symtab/SymTab.hh \
 ../../include/c++/../../lib/symtab/SymTab-mi.hh \
 ../../include/c++/ParsePath \
 ../../include/c++/../../lib/parse/ParsePath.hh \
 ../../include/c++/../../lib/parse/ParsePath-mi.hh \
 ../../include/c++/CAction \
 ../../include/c++/../../lib/cparse/CAction.hh \
 ../../include/c++/../../lib/cparse/CAction-mi.hh \
 /usr/lib/gcc-lib/i486-pc-linux-gnulibc1/2.8.1/include/stdarg.h \
 ../../include/c++/CParse ../../include/c++/../../lib/cparse/CParse.hh \
 ../../include/c++/../../lib/cparse/CParse-mi.hh \
 ../../include/c++/TokenList \
 ../../include/c++/../../lib/cparse/TokenList.hh \
 ../../include/c++/../../lib/cparse/TokenList-mi.hh ccint.h ccint-mi.h \
 ccout.h ccout-mi.h printaction.h printaction-mi.h decoconf.h
deco.o: deco.o.mak
	g++ -c  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -fforce-mem -fforce-addr -fomit-frame-pointer -finline-functions -freg-struct-return -fshort-enums -save-temps -fverbose-asm -m486 -O6 -msoft-float -malign-loops=0 -malign-jumps=0 -malign-functions=0  -I$$BASE/include/c++ -I$$BASE/include -idirafter $$BASE/include/posix deco.cc -o deco.o
deco.o.mak:
	../.././bin/fconfig "isa_bus pc i486sx i486 i386dx i386 ix86 test . gen" "../../../deco-0.8/" /util/deco/ deco.o


Makefile: ccout.o.mak
ccout.o: ccout.cc config.h ccout-mi.cc /usr/include/sys/types.h \
 /usr/include/linux/types.h /usr/include/linux/posix_types.h \
 /usr/include/asm/posix_types.h /usr/include/asm/types.h \
 /usr/include/sys/bitypes.h ../../include/c++/defines \
 ../../include/c++/../../lib/stdc++/defines.hh \
 ../../include/c++/../../lib/stdc++/config.h \
 ../../include/c++/../../lib/stdc++/defines-mi.hh \
 ../../include/types.h ../../include/../lib/types.h \
 ../../include/../lib/config.h ../../include/../lib/types-m-pc.h \
 ../../include/inttypes.h ../../include/../lib/inttypes.h \
 ../../include/../lib/inttypes-m-vax-i386.h \
 ../../include/../lib/types-mi.h /usr/include/unistd.h \
 /usr/include/features.h /usr/include/sys/cdefs.h \
 /usr/include/posix_opt.h /usr/include/gnu/types.h \
 /usr/lib/gcc-lib/i486-pc-linux-gnulibc1/2.8.1/include/stddef.h \
 /usr/include/confname.h /usr/include/g++/cstdlib \
 /usr/include/g++/std/cstdlib.h /usr/include/stdlib.h \
 /usr/include/errno.h /usr/include/linux/errno.h \
 /usr/include/asm/errno.h /usr/include/alloca.h \
 /usr/include/g++/cstdio /usr/include/g++/std/cstdio.h \
 /usr/include/stdio.h /usr/include/libio.h /usr/include/_G_config.h \
 /usr/include/g++/cstring /usr/include/g++/std/cstring.h \
 /usr/include/string.h /usr/include/fcntl.h /usr/include/linux/fcntl.h \
 /usr/include/asm/fcntl.h ../../include/c++/CObj \
 ../../include/c++/../../util/deco/CObj.hh \
 ../../include/c++/../../util/deco/config.h \
 ../../include/c++/../../util/deco/CObj-mi.hh \
 ../../include/c++/vStrTab \
 ../../include/c++/../../lib/symtab/vStrTab.hh \
 ../../include/c++/../../lib/symtab/config.h \
 ../../include/c++/../../lib/symtab/vStrTab-mi.hh \
 ../../include/c++/vSymTab \
 ../../include/c++/../../lib/symtab/vSymTab.hh \
 ../../include/c++/../../lib/symtab/vSymTab-mi.hh \
 ../../include/c++/CLex ../../include/c++/../../lib/cparse/CLex.hh \
 ../../include/c++/../../lib/cparse/config.h \
 ../../include/c++/../../lib/cparse/CLex-mi.hh ../../include/c++/Lexer \
 ../../include/c++/../../lib/parse/Lexer.hh \
 ../../include/c++/../../lib/parse/config.h \
 ../../include/c++/../../lib/parse/Lexer-mi.hh \
 ../../include/c++/../../lib/cparse/CParse.enum.h \
 ../../include/c++/../../lib/cparse/CParse.enum-mg.h \
 ../../include/c++/CParse ../../include/c++/../../lib/cparse/CParse.hh \
 ../../include/c++/../../lib/cparse/CParse-mi.hh \
 ../../include/c++/CAction \
 ../../include/c++/../../lib/cparse/CAction.hh \
 ../../include/c++/../../lib/cparse/CAction-mi.hh \
 /usr/lib/gcc-lib/i486-pc-linux-gnulibc1/2.8.1/include/stdarg.h \
 ../../include/c++/TokenList \
 ../../include/c++/../../lib/cparse/TokenList.hh \
 ../../include/c++/../../lib/cparse/TokenList-mi.hh \
 ../../include/c++/StrTab ../../include/c++/../../lib/symtab/StrTab.hh \
 ../../include/c++/../../lib/symtab/StrTab-mi.hh \
 ../../include/c++/SymTab ../../include/c++/../../lib/symtab/SymTab.hh \
 ../../include/c++/../../lib/symtab/SymTab-mi.hh \
 ../../include/posix/assert.h \
 ../../include/posix/../../lib/posix/assert.h \
 ../../include/posix/../../lib/posix/config.h \
 ../../include/posix/../../lib/posix/assert-mi.h \
 ../../include/posix/posix.h \
 ../../include/posix/../../lib/posix/posix.h \
 ../../include/posix/../../lib/posix/posix-mi.h ../../include/stdc.h \
 ../../include/../lib/stdc.h ../../include/../lib/stdc-mi.h ccint.h \
 ccint-mi.h ccout.h ccout-mi.h
ccout.o: ccout.o.mak
	g++ -c  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -fforce-mem -fforce-addr -fomit-frame-pointer -finline-functions -freg-struct-return -fshort-enums -save-temps -fverbose-asm -m486 -O6 -msoft-float -malign-loops=0 -malign-jumps=0 -malign-functions=0  -I$$BASE/include/c++ -I$$BASE/include -idirafter $$BASE/include/posix ccout.cc -o ccout.o
ccout.o.mak:
	../.././bin/fconfig "isa_bus pc i486sx i486 i386dx i386 ix86 test . gen" "../../../deco-0.8/" /util/deco/ ccout.o


Makefile: ccint.o.mak
ccint.o: ccint.cc config.h ccint-mi.cc ../../include/c++/defines \
 ../../include/c++/../../lib/stdc++/defines.hh \
 ../../include/c++/../../lib/stdc++/config.h \
 ../../include/c++/../../lib/stdc++/defines-mi.hh \
 ../../include/types.h ../../include/../lib/types.h \
 ../../include/../lib/config.h ../../include/../lib/types-m-pc.h \
 ../../include/inttypes.h ../../include/../lib/inttypes.h \
 ../../include/../lib/inttypes-m-vax-i386.h \
 ../../include/../lib/types-mi.h ../../include/posix/string.h \
 ../../include/posix/../../lib/posix/string.h \
 ../../include/posix/../../lib/posix/config.h \
 ../../include/posix/../../lib/posix/string-mi.h \
 ../../include/posix/posix.h \
 ../../include/posix/../../lib/posix/posix.h \
 ../../include/posix/../../lib/posix/posix-mi.h ../../include/stdc.h \
 ../../include/../lib/stdc.h ../../include/../lib/stdc-mi.h \
 ../../include/posix/sys/types.h \
 ../../include/posix/sys/../../../lib/posix/sys/types.h \
 ../../include/posix/sys/../../../lib/posix/sys/config.h \
 ../../include/posix/sys/../../../lib/posix/sys/types-mi.h \
 ../../include/posix/stddef.h \
 ../../include/posix/../../lib/posix/stddef.h \
 ../../include/posix/../../lib/posix/stddef-mi.h \
 ../../include/posix/stdio.h \
 ../../include/posix/../../lib/posix/stdio.h \
 ../../include/posix/../../lib/posix/stdio-mi.h \
 ../../include/posix/fcntl.h \
 ../../include/posix/../../lib/posix/fcntl.h \
 ../../include/posix/../../lib/posix/fcntl-mi.h \
 ../../include/posix/stdarg.h \
 ../../include/posix/../../lib/posix/stdarg.h \
 ../../include/posix/../../lib/posix/stdarg-mi.h \
 ../../include/c++/StrTab ../../include/c++/../../lib/symtab/StrTab.hh \
 ../../include/c++/../../lib/symtab/config.h \
 ../../include/c++/../../lib/symtab/StrTab-mi.hh \
 ../../include/c++/vStrTab \
 ../../include/c++/../../lib/symtab/vStrTab.hh \
 ../../include/c++/../../lib/symtab/vStrTab-mi.hh \
 ../../include/c++/SymTab ../../include/c++/../../lib/symtab/SymTab.hh \
 ../../include/c++/../../lib/symtab/SymTab-mi.hh \
 ../../include/c++/vSymTab \
 ../../include/c++/../../lib/symtab/vSymTab.hh \
 ../../include/c++/../../lib/symtab/vSymTab-mi.hh ccint.h ccint-mi.h \
 ../../include/c++/CObj ../../include/c++/../../util/deco/CObj.hh \
 ../../include/c++/../../util/deco/config.h \
 ../../include/c++/../../util/deco/CObj-mi.hh ../../include/c++/CLex \
 ../../include/c++/../../lib/cparse/CLex.hh \
 ../../include/c++/../../lib/cparse/config.h \
 ../../include/c++/../../lib/cparse/CLex-mi.hh ../../include/c++/Lexer \
 ../../include/c++/../../lib/parse/Lexer.hh \
 ../../include/c++/../../lib/parse/config.h \
 ../../include/c++/../../lib/parse/Lexer-mi.hh \
 ../../include/c++/../../lib/cparse/CParse.enum.h \
 ../../include/c++/../../lib/cparse/CParse.enum-mg.h \
 ../../include/c++/CAction \
 ../../include/c++/../../lib/cparse/CAction.hh \
 ../../include/c++/../../lib/cparse/CAction-mi.hh
ccint.o: ccint.o.mak
	g++ -c  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -fforce-mem -fforce-addr -fomit-frame-pointer -finline-functions -freg-struct-return -fshort-enums -save-temps -fverbose-asm -static -m486 -O6 -msoft-float -malign-loops=0 -malign-jumps=0 -malign-functions=0  -I$$BASE/include/c++ -nostdinc++ -I$$BASE/include -idirafter $$BASE/include/posix -nostdinc ccint.cc -o ccint.o
ccint.o.mak:
	../.././bin/fconfig "isa_bus pc i486sx i486 i386dx i386 ix86 test . gen" "../../../deco-0.8/" /util/deco/ ccint.o


Makefile: CObj.o.mak
CObj.o: CObj.cc config.h CObj-mi.cc ../../include/c++/defines \
 ../../include/c++/../../lib/stdc++/defines.hh \
 ../../include/c++/../../lib/stdc++/config.h \
 ../../include/c++/../../lib/stdc++/defines-mi.hh \
 ../../include/types.h ../../include/../lib/types.h \
 ../../include/../lib/config.h ../../include/../lib/types-m-pc.h \
 ../../include/inttypes.h ../../include/../lib/inttypes.h \
 ../../include/../lib/inttypes-m-vax-i386.h \
 ../../include/../lib/types-mi.h ../../include/c++/vStrTab \
 ../../include/c++/../../lib/symtab/vStrTab.hh \
 ../../include/c++/../../lib/symtab/config.h \
 ../../include/c++/../../lib/symtab/vStrTab-mi.hh CObj.hh CObj-mi.hh \
 ../../include/c++/vSymTab \
 ../../include/c++/../../lib/symtab/vSymTab.hh \
 ../../include/c++/../../lib/symtab/vSymTab-mi.hh
CObj.o: CObj.o.mak
	g++ -c  -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -fforce-mem -fforce-addr -fomit-frame-pointer -finline-functions -freg-struct-return -fshort-enums -save-temps -fverbose-asm -static -m486 -O6 -msoft-float -malign-loops=0 -malign-jumps=0 -malign-functions=0  -I$$BASE/include/c++ -nostdinc++ -I$$BASE/include -idirafter $$BASE/include/posix -nostdinc CObj.cc -o CObj.o
CObj.o.mak:
	../.././bin/fconfig "isa_bus pc i486sx i486 i386dx i386 ix86 test . gen" "../../../deco-0.8/" /util/deco/ CObj.o


